Mailinglist Archive: opensuse-updates (53 mails)

< Previous Next >
openSUSE-SU-2011:0645-1: moderate: php5
openSUSE Security Update: php5
______________________________________________________________________________

Announcement ID: openSUSE-SU-2011:0645-1
Rating: moderate
References: #677782 #679278 #681194 #681195 #681197 #681210
#681214 #681291 #695689
Cross-References: CVE-2011-0421 CVE-2011-1092 CVE-2011-1148
CVE-2011-1464 CVE-2011-1467 CVE-2011-1468
CVE-2011-1469 CVE-2011-1470 CVE-2011-1471
CVE-2011-1938
Affected Products:
openSUSE 11.4
openSUSE 11.3
______________________________________________________________________________

An update that fixes 10 vulnerabilities is now available.
It includes one version update.

Description:

This php5 update fixes:
- CVE-2011-0421: CVSS v2 Base Score: 2.6
(AV:N/AC:H/Au:N/C:N/I:N/A:P): Input Validation (CWE-20)
- CVE-2011-1092: CVSS v2 Base Score: 5.1
(AV:N/AC:H/Au:N/C:P/I:P/A:P): Numeric Errors (CWE-189)
- CVE-2011-1148: CVSS v2 Base Score: 4.3
(AV:N/AC:M/Au:N/C:N/I:N/A:P): Resource Management Errors
(CWE-399)
- CVE-2011-1464: CVSS v2 Base Score: 2.1
(AV:L/AC:L/Au:N/C:N/I:N/A:P): Buffer Errors (CWE-119)
- CVE-2011-1467: CVSS v2 Base Score: 5.0
(AV:N/AC:L/Au:N/C:N/I:N/A:P)
- CVE-2011-1468: CVSS v2 Base Score: 4.3
(AV:N/AC:M/Au:N/C:N/I:N/A:P): Resource Management Errors
(CWE-399)
- CVE-2011-1469: CVSS v2 Base Score: 4.3
(AV:N/AC:M/Au:N/C:N/I:N/A:P)
- CVE-2011-1470: CVSS v2 Base Score: 4.3
(AV:N/AC:M/Au:N/C:N/I:N/A:P): Input Validation (CWE-20)
- CVE-2011-1471: CVSS v2 Base Score: 4.3
(AV:N/AC:M/Au:N/C:N/I:N/A:P): Numeric Errors (CWE-189)
- CVE-2011-1938: CVSS v2 Base Score: 2.6
(AV:N/AC:H/Au:N/C:N/I:N/A:P)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch apache2-mod_php5-4647

- openSUSE 11.3:

zypper in -t patch apache2-mod_php5-4647

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

apache2-mod_php5-5.3.5-5.14.1
php5-5.3.5-5.14.1
php5-bcmath-5.3.5-5.14.1
php5-bz2-5.3.5-5.14.1
php5-calendar-5.3.5-5.14.1
php5-ctype-5.3.5-5.14.1
php5-curl-5.3.5-5.14.1
php5-dba-5.3.5-5.14.1
php5-devel-5.3.5-5.14.1
php5-dom-5.3.5-5.14.1
php5-enchant-5.3.5-5.14.1
php5-exif-5.3.5-5.14.1
php5-fastcgi-5.3.5-5.14.1
php5-fileinfo-5.3.5-5.14.1
php5-fpm-5.3.5-5.14.1
php5-ftp-5.3.5-5.14.1
php5-gd-5.3.5-5.14.1
php5-gettext-5.3.5-5.14.1
php5-gmp-5.3.5-5.14.1
php5-hash-5.3.5-5.14.1
php5-iconv-5.3.5-5.14.1
php5-imap-5.3.5-5.14.1
php5-intl-5.3.5-5.14.1
php5-json-5.3.5-5.14.1
php5-ldap-5.3.5-5.14.1
php5-mbstring-5.3.5-5.14.1
php5-mcrypt-5.3.5-5.14.1
php5-mysql-5.3.5-5.14.1
php5-odbc-5.3.5-5.14.1
php5-openssl-5.3.5-5.14.1
php5-pcntl-5.3.5-5.14.1
php5-pdo-5.3.5-5.14.1
php5-pgsql-5.3.5-5.14.1
php5-phar-5.3.5-5.14.1
php5-posix-5.3.5-5.14.1
php5-pspell-5.3.5-5.14.1
php5-readline-5.3.5-5.14.1
php5-shmop-5.3.5-5.14.1
php5-snmp-5.3.5-5.14.1
php5-soap-5.3.5-5.14.1
php5-sockets-5.3.5-5.14.1
php5-sqlite-5.3.5-5.14.1
php5-suhosin-5.3.5-5.14.1
php5-sysvmsg-5.3.5-5.14.1
php5-sysvsem-5.3.5-5.14.1
php5-sysvshm-5.3.5-5.14.1
php5-tidy-5.3.5-5.14.1
php5-tokenizer-5.3.5-5.14.1
php5-wddx-5.3.5-5.14.1
php5-xmlreader-5.3.5-5.14.1
php5-xmlrpc-5.3.5-5.14.1
php5-xmlwriter-5.3.5-5.14.1
php5-xsl-5.3.5-5.14.1
php5-zip-5.3.5-5.14.1
php5-zlib-5.3.5-5.14.1

- openSUSE 11.4 (noarch):

php5-pear-5.3.5-5.14.1

- openSUSE 11.3 (i586 x86_64) [New Version: 5.3.3]:

apache2-mod_php5-5.3.3-0.19.1
php5-5.3.3-0.19.1
php5-bcmath-5.3.3-0.19.1
php5-bz2-5.3.3-0.19.1
php5-calendar-5.3.3-0.19.1
php5-ctype-5.3.3-0.19.1
php5-curl-5.3.3-0.19.1
php5-dba-5.3.3-0.19.1
php5-devel-5.3.3-0.19.1
php5-dom-5.3.3-0.19.1
php5-enchant-5.3.3-0.19.1
php5-exif-5.3.3-0.19.1
php5-fastcgi-5.3.3-0.19.1
php5-fileinfo-5.3.3-0.19.1
php5-ftp-5.3.3-0.19.1
php5-gd-5.3.3-0.19.1
php5-gettext-5.3.3-0.19.1
php5-gmp-5.3.3-0.19.1
php5-hash-5.3.3-0.19.1
php5-iconv-5.3.3-0.19.1
php5-imap-5.3.3-0.19.1
php5-intl-5.3.3-0.19.1
php5-json-5.3.3-0.19.1
php5-ldap-5.3.3-0.19.1
php5-mbstring-5.3.3-0.19.1
php5-mcrypt-5.3.3-0.19.1
php5-mysql-5.3.3-0.19.1
php5-odbc-5.3.3-0.19.1
php5-openssl-5.3.3-0.19.1
php5-pcntl-5.3.3-0.19.1
php5-pdo-5.3.3-0.19.1
php5-pgsql-5.3.3-0.19.1
php5-phar-5.3.3-0.19.1
php5-posix-5.3.3-0.19.1
php5-pspell-5.3.3-0.19.1
php5-readline-5.3.3-0.19.1
php5-shmop-5.3.3-0.19.1
php5-snmp-5.3.3-0.19.1
php5-soap-5.3.3-0.19.1
php5-sockets-5.3.3-0.19.1
php5-sqlite-5.3.3-0.19.1
php5-suhosin-5.3.3-0.19.1
php5-sysvmsg-5.3.3-0.19.1
php5-sysvsem-5.3.3-0.19.1
php5-sysvshm-5.3.3-0.19.1
php5-tidy-5.3.3-0.19.1
php5-tokenizer-5.3.3-0.19.1
php5-wddx-5.3.3-0.19.1
php5-xmlreader-5.3.3-0.19.1
php5-xmlrpc-5.3.3-0.19.1
php5-xmlwriter-5.3.3-0.19.1
php5-xsl-5.3.3-0.19.1
php5-zip-5.3.3-0.19.1
php5-zlib-5.3.3-0.19.1

- openSUSE 11.3 (noarch) [New Version: 5.3.3]:

php5-pear-5.3.3-0.19.1


References:

http://support.novell.com/security/cve/CVE-2011-0421.html
http://support.novell.com/security/cve/CVE-2011-1092.html
http://support.novell.com/security/cve/CVE-2011-1148.html
http://support.novell.com/security/cve/CVE-2011-1464.html
http://support.novell.com/security/cve/CVE-2011-1467.html
http://support.novell.com/security/cve/CVE-2011-1468.html
http://support.novell.com/security/cve/CVE-2011-1469.html
http://support.novell.com/security/cve/CVE-2011-1470.html
http://support.novell.com/security/cve/CVE-2011-1471.html
http://support.novell.com/security/cve/CVE-2011-1938.html
https://bugzilla.novell.com/677782
https://bugzilla.novell.com/679278
https://bugzilla.novell.com/681194
https://bugzilla.novell.com/681195
https://bugzilla.novell.com/681197
https://bugzilla.novell.com/681210
https://bugzilla.novell.com/681214
https://bugzilla.novell.com/681291
https://bugzilla.novell.com/695689


< Previous Next >
This Thread
  • No further messages